Critical CentOS java-1.6.0-openjdk Security Update

Metadata

critical
10.0
java-1.6.0-openjdk-1.6.0.39-1.13.11.0.el5_11.i386.rpm, java-1.6.0-openjdk-1.6.0.39-1.13.11.0.el5_11.src.rpm, java-1.6.0-openjdk-1.6.0.39-1.13.11.0.el5_11.x86_64.rpm, java-1.6.0-openjdk-1.6.0.39-1.13.11.0.el6_7.i686.rpm, java-1.6.0-openjdk-1.6.0.39-1.13.11.0.el6_7.src.rpm, java-1.6.0-openjdk-1.6.0.39-1.13.11.0.el6_7.x86_64.rpm, java-1.6.0-openjdk-1.6.0.39-1.13.11.0.el7_2.src.rpm, java-1.6.0-openjdk-1.6.0.39-1.13.11.0.el7_2.x86_64.rpm, java-1.6.0-openjdk-demo-1.6.0.39-1.13.11.0.el5_11.i386.rpm, java-1.6.0-openjdk-demo-1.6.0.39-1.13.11.0.el5_11.x86_64.rpm, java-1.6.0-openjdk-demo-1.6.0.39-1.13.11.0.el6_7.i686.rpm, java-1.6.0-openjdk-demo-1.6.0.39-1.13.11.0.el6_7.x86_64.rpm, java-1.6.0-openjdk-demo-1.6.0.39-1.13.11.0.el7_2.x86_64.rpm, java-1.6.0-openjdk-devel-1.6.0.39-1.13.11.0.el5_11.i386.rpm, java-1.6.0-openjdk-devel-1.6.0.39-1.13.11.0.el5_11.x86_64.rpm, java-1.6.0-openjdk-devel-1.6.0.39-1.13.11.0.el6_7.i686.rpm, java-1.6.0-openjdk-devel-1.6.0.39-1.13.11.0.el6_7.x86_64.rpm, java-1.6.0-openjdk-devel-1.6.0.39-1.13.11.0.el7_2.x86_64.rpm, java-1.6.0-openjdk-javadoc-1.6.0.39-1.13.11.0.el5_11.i386.rpm, java-1.6.0-openjdk-javadoc-1.6.0.39-1.13.11.0.el5_11.x86_64.rpm, java-1.6.0-openjdk-javadoc-1.6.0.39-1.13.11.0.el6_7.i686.rpm, java-1.6.0-openjdk-javadoc-1.6.0.39-1.13.11.0.el6_7.x86_64.rpm, java-1.6.0-openjdk-javadoc-1.6.0.39-1.13.11.0.el7_2.x86_64.rpm, java-1.6.0-openjdk-src-1.6.0.39-1.13.11.0.el5_11.i386.rpm, java-1.6.0-openjdk-src-1.6.0.39-1.13.11.0.el5_11.x86_64.rpm, java-1.6.0-openjdk-src-1.6.0.39-1.13.11.0.el6_7.i686.rpm, java-1.6.0-openjdk-src-1.6.0.39-1.13.11.0.el6_7.x86_64.rpm, java-1.6.0-openjdk-src-1.6.0.39-1.13.11.0.el7_2.x86_64.rpm
CVE-2016-0686, CVE-2016-0687, CVE-2016-0695, CVE-2016-3425, CVE-2016-3427
rhn.redhat.com, lists.centos.org, lists.centos.org, lists.centos.org
2016-05-09
2017-07-27 19:11
ALAS-2016-693
ALAS-2016-688
ALAS-2016-700
Critical CentOS java-1.7.0-openjdk Security Update
Critical CentOS java-1.8.0-openjdk Security Update
Critical CentOS java-1.7.0-openjdk Security Update
Critical CentOS java-1.8.0-openjdk Security Update
CVE-2016-3425 openjdk-6
CVE-2016-0695 openjdk-8
CVE-2016-3425 openjdk-7
CVE-2016-3427 openjdk-6
CVE-2016-0695 openjdk-6
CVE-2016-0686 openjdk-8
CVE-2016-0687 openjdk-7
CVE-2016-3425 openjdk-8
CVE-2016-3427 openjdk-8
CVE-2016-0687 openjdk-8
CVE-2016-3427 openjdk-7
CVE-2016-0695 openjdk-7
CVE-2016-0686 openjdk-6
CVE-2016-0687 openjdk-6
CVE-2016-0686 openjdk-7
CVE-2016-0695
CVE-2016-0687
CVE-2016-3427
CVE-2016-3425
CVE-2016-0686
2017-04-01 19:09
2017-01-05 20:14

Description


An update for java-1.6.0-openjdk is now available for Red Hat Enterprise Linux 5, Red Hat Enterprise Linux 6, and Red Hat Enterprise Linux 7.

Red Hat Product Security has rated this update as having a security impact of Critical. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available for each vulnerability from the CVE link(s) in the References section.

The java-1.6.0-openjdk packages provide the OpenJDK 6 Java Runtime Environment and the OpenJDK 6 Java Software Development Kit.

Security Fix(es):

* Multiple flaws were discovered in the Serialization and Hotspot components in OpenJDK. An untrusted Java application or applet could use these flaws to completely bypass Java sandbox restrictions. (CVE-2016-0686, CVE-2016-0687)

* It was discovered that the RMI server implementation in the JMX component in OpenJDK did not restrict which classes can be deserialized when deserializing authentication credentials. A remote, unauthenticated attacker able to connect to a JMX port could possibly use this flaw to trigger deserialization flaws. (CVE-2016-3427)

* It was discovered that the JAXP component in OpenJDK failed to properly handle Unicode surrogate pairs used as part of the XML attribute values. Specially crafted XML input could cause a Java application to use an excessive amount of memory when parsed. (CVE-2016-3425)

* It was discovered that the Security component in OpenJDK failed to check the digest algorithm strength when generating DSA signatures. The use of a digest weaker than the key strength could lead to the generation of signatures that were weaker than expected. (CVE-2016-0695)
Please see https://www.redhat.com/footer/terms-of-use.html

Am I vulnerable?

The constraints below list the versions that this vulnerability is patched in, and versions that are unaffected. If a patch is ready but unrealeased, then it is pending.

Or, you can just let us figure it out for you! Appcanary continously monitor your installed packages, and tell you if any of them are vulnerable.

Sign up for monitoring

Affected package information

Release Package Patched in
5 java-1.6.0-openjdk java-1.6.0-openjdk-1.6.0.39-1.13.11.0.el5_11.i386.rpm
java-1.6.0-openjdk java-1.6.0-openjdk-1.6.0.39-1.13.11.0.el5_11.src.rpm
java-1.6.0-openjdk java-1.6.0-openjdk-1.6.0.39-1.13.11.0.el5_11.x86_64.rpm
java-1.6.0-openjdk-demo java-1.6.0-openjdk-demo-1.6.0.39-1.13.11.0.el5_11.i386.rpm
java-1.6.0-openjdk-demo java-1.6.0-openjdk-demo-1.6.0.39-1.13.11.0.el5_11.x86_64.rpm
java-1.6.0-openjdk-devel java-1.6.0-openjdk-devel-1.6.0.39-1.13.11.0.el5_11.i386.rpm
java-1.6.0-openjdk-devel java-1.6.0-openjdk-devel-1.6.0.39-1.13.11.0.el5_11.x86_64.rpm
java-1.6.0-openjdk-javadoc java-1.6.0-openjdk-javadoc-1.6.0.39-1.13.11.0.el5_11.i386.rpm
java-1.6.0-openjdk-javadoc java-1.6.0-openjdk-javadoc-1.6.0.39-1.13.11.0.el5_11.x86_64.rpm
java-1.6.0-openjdk-src java-1.6.0-openjdk-src-1.6.0.39-1.13.11.0.el5_11.i386.rpm
java-1.6.0-openjdk-src java-1.6.0-openjdk-src-1.6.0.39-1.13.11.0.el5_11.x86_64.rpm
6 java-1.6.0-openjdk java-1.6.0-openjdk-1.6.0.39-1.13.11.0.el6_7.i686.rpm
java-1.6.0-openjdk java-1.6.0-openjdk-1.6.0.39-1.13.11.0.el6_7.src.rpm
java-1.6.0-openjdk java-1.6.0-openjdk-1.6.0.39-1.13.11.0.el6_7.x86_64.rpm
java-1.6.0-openjdk-demo java-1.6.0-openjdk-demo-1.6.0.39-1.13.11.0.el6_7.x86_64.rpm
java-1.6.0-openjdk-demo java-1.6.0-openjdk-demo-1.6.0.39-1.13.11.0.el6_7.i686.rpm
java-1.6.0-openjdk-devel java-1.6.0-openjdk-devel-1.6.0.39-1.13.11.0.el6_7.x86_64.rpm
java-1.6.0-openjdk-devel java-1.6.0-openjdk-devel-1.6.0.39-1.13.11.0.el6_7.i686.rpm
java-1.6.0-openjdk-javadoc java-1.6.0-openjdk-javadoc-1.6.0.39-1.13.11.0.el6_7.i686.rpm
java-1.6.0-openjdk-javadoc java-1.6.0-openjdk-javadoc-1.6.0.39-1.13.11.0.el6_7.x86_64.rpm
java-1.6.0-openjdk-src java-1.6.0-openjdk-src-1.6.0.39-1.13.11.0.el6_7.x86_64.rpm
java-1.6.0-openjdk-src java-1.6.0-openjdk-src-1.6.0.39-1.13.11.0.el6_7.i686.rpm
7 java-1.6.0-openjdk java-1.6.0-openjdk-1.6.0.39-1.13.11.0.el7_2.src.rpm
java-1.6.0-openjdk java-1.6.0-openjdk-1.6.0.39-1.13.11.0.el7_2.x86_64.rpm
java-1.6.0-openjdk-demo java-1.6.0-openjdk-demo-1.6.0.39-1.13.11.0.el7_2.x86_64.rpm
java-1.6.0-openjdk-devel java-1.6.0-openjdk-devel-1.6.0.39-1.13.11.0.el7_2.x86_64.rpm
java-1.6.0-openjdk-javadoc java-1.6.0-openjdk-javadoc-1.6.0.39-1.13.11.0.el7_2.x86_64.rpm
java-1.6.0-openjdk-src java-1.6.0-openjdk-src-1.6.0.39-1.13.11.0.el7_2.x86_64.rpm